Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001055Documentation, Examples, and Web SiteExamplespublic2012-12-06 00:372014-05-07 07:38
Assigned Tograham 
Platformx86OSLinuxOS VersionAny
Product Version 
Target VersionFixed in Version6L02 
Summary0001055: In example 345, "Low Light", the shadow can be picked up with "take all" even if invisible
DescriptionIn example 345, "Low Light" ( [^]), the invisible shadow can still be picked up using "take all":

    You can see a desk (on which is a brilliant lamp) here.
    > take all
    brilliant lamp: Taken.
    shadow: Taken.

To fix, add the following rule to the example:

Rule for deciding whether all includes the shadow when the light level is low and the player does not enclose the shadow: it does not.

(However, note that issue 0001054: "Rules for deciding whether all includes are not consulted if only one thing is present" would interfere with this fix if the desk did not happen to be conveniently present.)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-12-06 00:37 vyznev New Issue
2012-12-12 13:39 EmacsUser Status new => confirmed
2014-01-25 09:48 graham Status confirmed => resolved
2014-01-25 09:48 graham Resolution open => fixed
2014-01-25 09:48 graham Assigned To => graham
2014-05-07 07:37 jmcgrew Fixed in Version => 6L02
2014-05-07 07:38 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker